<!-- A declaration that tells the browser that the document is HTML5. -->
<!DOCTYPE HTML>
<!-- Telling the browser that the document is in English. -->
<html lang='en'>
<!-- The code for the header of the page. -->

<head>
  <title>Category: {{categoryName}}</title>
  <link rel='stylesheet' href={{ url_for('static', filename='css/home.css' ) }} />
  <link rel='stylesheet' href={{ url_for('static', filename='css/topStyle.css' ) }} />
</head>

<body>
  <!-- This is the code for the logo of the website. -->
  <div id='title'>
    <div id='homeicon'>
      <a href='/' aria-label='webattack app logo'>
        <img src={{ url_for( 'static' , filename='uploads/webattack_home.png' ) }} id='logo' alt='WEBATTACK HOME' />
      </a>
    </div>
    <!-- This is the code for the search bar. -->
    <form role='searchbox' action="{{ url_for('search_results') }}" method='post'>
      <input id='searchBox' type='text' name='searchQuery' aria-label='Enter search term' />
      <input id='searchButton' type='submit' value='Search' />
    </form>

    <!-- This is a conditional statement. If the user is not logged in, then the user will see a sign in
button. If the user is logged in, then the user will see a dropdown menu with the user's name. -->
    {% if not loggedIn %}
    <a class='signInButton' href='/loginForm' aria-label='Sign In Here'>Sign In</a>
    {% else %}
    <div class='dropdown'>
      <button class='dropbtn'>Hello, <br />{{firstName}}</button>
      <div class='dropdown-content'>
        <a href='/account/orders'>Your orders</a>
        <a href='/account/profile'>Your profile</a>
        <hr />
        <a href='/logout' aria-label='Sign Out Here'>Sign Out</a>
      </div>
    </div>
    {% endif %}
    <!-- This is the code for the shopping cart. -->
    <a class='kart' href='/cart'>
      <img src={{url_for('static', filename='images/shoppingCart.png' )}} id='cartIcon' alt='ShoppingCart' /> CART
      {{noOfItems}}
    </a>
  </div>

  <!-- This is the code for the products. -->
  <div>
    <h1 style="
          color: #292929;
          font-family: 'Times New Roman', Times, serif;
          font-size: x-large;
        ">
      Showing all products of Category {{categoryName}}:
    </h1>
    {% for itemData in data %}
    <table>
      <tr id='productName'>
        {% for row in itemData %}
        <td>{{row[1]}}</td>
        {% endfor %}
      </tr>
      <tr id='productImage'>
        {% for row in itemData %}
        <td>
          <a href='/productDescription?productId={{row[0]}}'
            aria-label='Product Description for productid = {{row[0]}}'>
            <img src={{ url_for('static', filename='uploads/' + row[3]) }} id='itemImage' alt='productImage' />
          </a>
        </td>
        {% endfor %}
      </tr>
      <tr id='productPrice'>
        {% for row in itemData %}
        <td>Rs {{row[2]}}</td>
        {% endfor %}
      </tr>
    </table>
    {% endfor %}
  </div>
  <!-- This is the code for the chatbot. -->
  <!-- This is a script that is used to display the chat box on the website. -->
  <script src={{ url_for('static', filename='js/utility.js' ) }}></script>
</body>

</html>